<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:e="http://software.in2p3.fr/lavoisier/entries.xsd">
    <xsl:output method="xml"/>

    <xsl:variable name="parameters" select="document('parameters')"/>

    <xsl:template match="/xsl:stylesheet/xsl:param">
        <xsl:copy><xsl:copy-of select="@*"/>
            <xsl:choose>
                <xsl:when test="$parameters/e:entries/e:entry[@key=current()/@name]/text()">
                    <xsl:value-of select="$parameters/e:entries/e:entry[@key=current()/@name]/text()"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="text()"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="*">
        <xsl:copy><xsl:copy-of select="@*"/>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>